org.apache.solr.client.solrj.request.json

## Class JsonFacetMap<B extends JsonFacetMap<B>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - org.apache.solr.client.solrj.request.json.JsonFacetMap<B>

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>

Direct Known Subclasses:
  HeatmapFacetMap, QueryFacetMap, RangeFacetMap, TermsFacetMap

    public abstract class JsonFacetMap<B extends JsonFacetMap<B>>
    extends HashMap<String,Object>

A common parent for a small set of classes that allow easier composition of JSON facet objects. Designed for use with `JsonQueryRequest.withFacet(String, Map)`

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`JsonFacetMap(String facetType)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract B` `getThis()`
`B` `withDomain(DomainMap domain)`
`B` `withStatSubFacet(String facetName, String statFacet)`
`B` `withSubFacet(String facetName, JsonFacetMap map)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### JsonFacetMap

    public JsonFacetMap(String facetType)

### Method Detail

#### getThis

    public abstract B getThis()

#### withDomain

    public B withDomain(DomainMap domain)

#### withSubFacet

    public B withSubFacet(String facetName,
                          JsonFacetMap map)

#### withStatSubFacet

    public B withStatSubFacet(String facetName,
                              String statFacet)